## Index

### Classes

- LayerHelper

### Variables

- DATASOURCE_ID
- GROUP_KEY
- LAYER_NODE_NAME_KEY
- NODE_IS_LEAF

## Variables

### Const DATASOURCE_ID

DATASOURCE_ID: "dataSourceId" = 'dataSourceId'

- Defined in src/map/LayerHelper.js:91

Id of the datasource

### Const GROUP_KEY

GROUP_KEY: "groupName" = 'groupName'

- Defined in src/map/LayerHelper.js:96

Name key for layer groups in the map.

### Const LAYER_NODE_NAME_KEY

LAYER_NODE_NAME_KEY: "layerNodeName" = 'layerNodeName'

- Defined in src/map/LayerHelper.js:79

Layer node name key in layer parameters. To identify the OpenLayers layer by its name.

### Const NODE_IS_LEAF

NODE_IS_LEAF: "layerIsLeaf" = 'layerIsLeaf'

- Defined in src/map/LayerHelper.js:86

Key to know if the layer is used as a leaf in a tree. In mixed WMS groups that would be probably the case but not in a not-mixed WMS groups where we want to toggle each wms names (sub-layers).

Generated using TypeDoc